Description

I propose to extend the IRAF parameter interface by adding a new parameter type t that handles times. The reasoning is that a time

can be specified in various formats, for example an UTC string, a MJD floating point value, or a mission elapsed (native) time. The

handling of the different formats can be done at the interface level, and corresponding time() methods will allow to set and get the

times using the GTime class.

The format of the input string need some discussion. UTC strings (e.g. 2016-10-05T15:08:56) should be supported, and providing a

simple floating point value (e.g. 1800.0) should (probably) set the native format in TT for compliance with previous applications. Here

a possible list of strings that may be supported (list incomplete):

"2016-10-05T15:08:56" (UTC string)

"1800.0" (MET seconds in native reference, TT system)

"1800.0 (UTC)" (MET seconds in native reference, UTC time system)

"1800.0 (TAI)" (MET seconds in native reference, TAI time system)

"MJD 54609" (Modified Julian Days, TT system)

"MJD 54609 (TT)" (Modified Julian Days, TT system)

"MJD 54609 (UTC)" (Modified Julian Days, UTC system)

"JD 54609 (TAI)" (Julian Days, TAI system)

Spaces in the strings should be optional (i.e. "JD54609(TAI)" should be valid).

Here an example of a possible parfile:

tmin, t, a, 2016-10-05T08:00:00,,, "Start time"

tmax, t, a, 2016-10-05T10:00:00,,, "Stop time"

The following methods should be added to GApplicationPar:

void  time(const GTime& value);

GTime time(void);

void  check_value_time(const std::string& value) const;

History

#1 - 03/03/2017 10:18 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#2 - 06/06/2017 10:28 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0

#3 - 07/31/2017 11:09 PM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

05/01/2024 1/2



#4 - 08/07/2017 05:20 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

I implemented a time string constructor and set method in the GTime class that handles the transformation from a string to a time value. I also added

a time parameter to the GApplicationPar class.

Now I need to check whether the new features can be used by the ctools.

#5 - 08/07/2017 05:20 PM - Knödlseder Jürgen

- % Done changed from 0 to 50

#6 - 08/08/2017 05:18 PM - Knödlseder Jürgen

- % Done changed from 50 to 80

The following cscripts and ctools now use the new t-type parameter:

cslightcrv

cspull

cstsdist

csviscube

ctmodel

ctobssim

ctselect

An extensive testing of these tools, as well as of ctcubemask, should be performed to check that the times are correctly taken into account.

#7 - 09/02/2017 05:34 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Merged into devel
